Update a competitor

PATCH
/competitors/{competitorId}

Authorization

BearerAuth
headerAuthorizationBearer <token>

An organization key (signal_…) created under Organization Settings → API Keys.

Path Parameters

competitorId*string

Competitor identifier (UUID)

Formatuuid

Request Body

application/json
  1. body

Update a competitor. At least one field must be provided. Provided arrays replace the stored values verbatim.

Properties1 <= properties
name?string
Length1 <= length
domains?array<string>
aliases?array<string>

Response Body

Competitor updated

application/json
  1. response
id*string
Formatuuid
brandId*string
name*string
domains*array<string>
aliases*array<string>
createdAt*string
Formatdate-time
updatedAt*string
Formatdate-time
Example Request
curl -X PATCH 'https://app.signal.metricshive.com/api/v1/competitors/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Content-Type: application/json' \
  -d '{}'
Example Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "brandId": "string",
  "name": "string",
  "domains": [
    "string"
  ],
  "aliases": [
    "string"
  ],
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}